/* config.h.  Generated from config.h.in by configure.  */
/* config.h.in.  Generated from configure.in by autoheader.  */
/*---------------------------------------------------------------------------*\
  Site-specific configuration file for run-as utility

  Input to `autoheader'

  This source code is released under a BSD-style license. See the LICENSE
  file for details.
\*---------------------------------------------------------------------------*/

#ifndef _CONFIG_H_
#define _CONFIG_H_

#include <sys/types.h>


/* define if your C compiler lacks a built-in `bool' type */
#define bool short

/* define to `int' if your system lacks `ssize_t' */
/* #undef ssize_t */

/* define to `unsigned short' if your system lacks `ushort' */
/* #undef ushort */

/*
   Define if you have the `sig_t' type in <signal.h> or <sys/signal.h>
   (e.g., FreeBSD)
*/
#define HAVE_SIG_T 1

/*
  Define if your compiler supports a native "byte" type that holds at least
  eight bits.
*/
/* #undef HAVE_BYTE_TYPE */

/* Define if you have the getpgrp() function. */
#define HAVE_GETPGRP 1

/* Define if you have the setpgrp() function. */
#define HAVE_SETPGRP 1

/* Define if you have the initgroups() function. */
#define HAVE_INITGROUPS 1

/* Define if you have the setsid() function. Almost everyone does. */
#define HAVE_SETSID 1

/* Define if you have the sysconf() function. */
/* #undef HAVE_SYSCONF */

/* Define if you have the daemon() function. */
#define HAVE_DAEMON 1

/* Define if you have the strerror() function. */
#define HAVE_STRERROR 1

/* Define if you have vfork() */
#define HAVE_VFORK 1

/* Define if you have vprintf() */
#define HAVE_VPRINTF 1

/* Define if you have the `pw_comment' field in `struct passwd' (pwd.h) */
/* #undef HAVE_PW_COMMENT */

/* Define if you have the `pw_gecos' field in `struct passwd' (pwd.h) */
#define HAVE_PW_GECOS 1

/* Define to `long' if you don't have `off_t' */
/* #undef off_t */

/* Define to `int' if you don't have `mode_t' */
/* #undef mode_t */

/* Define to `int' if you don't have `pid_t' */
/* #undef pid_t */

/* Define to `int' if you don't have `gid_t' and `uid_t' */
/* #undef uid_t */
/* #undef gid_t */

/* Define to `unsigned' if you don't have `size_t' */
/* #undef size_t */

/* Define if you have <errno.h> */
#define HAVE_ERRNO_H 1


/* Define to 1 if the `getpgrp' function requires zero arguments. */
#define GETPGRP_VOID 1

/* Define to 1 if you don't have `vprintf' but do have `_doprnt.' */
/* #undef HAVE_DOPRNT */

/* Define to 1 if you have the <errno.h> header file. */
#define HAVE_ERRNO_H 1

/* Define to 1 if you have the `fork' function. */
#define HAVE_FORK 1

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the <libgen.h> header file. */
#define HAVE_LIBGEN_H 1

/* Define to 1 if you support file names longer than 14 characters. */
#define HAVE_LONG_FILE_NAMES 1

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have <sys/wait.h> that is POSIX.1 compatible. */
#define HAVE_SYS_WAIT_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define to 1 if you have the `vfork' function. */
#define HAVE_VFORK 1

/* Define to 1 if you have the <vfork.h> header file. */
/* #undef HAVE_VFORK_H */

/* Define to 1 if you have the `vprintf' function. */
#define HAVE_VPRINTF 1

/* Define to 1 if `fork' works. */
#define HAVE_WORKING_FORK 1

/* Define to 1 if `vfork' works. */
#define HAVE_WORKING_VFORK 1

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT ""

/* Define to the full name of this package. */
#define PACKAGE_NAME ""

/* Define to the full name and version of this package. */
#define PACKAGE_STRING ""

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME ""

/* Define to the home page for this package. */
#define PACKAGE_URL ""

/* Define to the version of this package. */
#define PACKAGE_VERSION ""

/* Define to 1 if the `setpgrp' function takes no argument. */
#define SETPGRP_VOID 1

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Enable extensions on AIX 3, Interix.  */
#ifndef _ALL_SOURCE
# define _ALL_SOURCE 1
#endif
/* Enable GNU extensions on systems that have them.  */
#ifndef _GNU_SOURCE
# define _GNU_SOURCE 1
#endif
/* Enable threading extensions on Solaris.  */
#ifndef _POSIX_PTHREAD_SEMANTICS
# define _POSIX_PTHREAD_SEMANTICS 1
#endif
/* Enable extensions on HP NonStop.  */
#ifndef _TANDEM_SOURCE
# define _TANDEM_SOURCE 1
#endif
/* Enable general extensions on Solaris.  */
#ifndef __EXTENSIONS__
# define __EXTENSIONS__ 1
#endif


/* Define to 1 if on MINIX. */
/* #undef _MINIX */

/* Define to 2 if the system does not provide POSIX.1 features except with
   this defined. */
/* #undef _POSIX_1_SOURCE */

/* Define to 1 if you need to in order for `stat' and other things to work. */
/* #undef _POSIX_SOURCE */

/* Define to empty if `const' does not conform to ANSI C. */
/* #undef const */

/* Define to `int' if <sys/types.h> doesn't define. */
/* #undef gid_t */

/* Define to `int' if <sys/types.h> does not define. */
/* #undef mode_t */

/* Define to `int' if <sys/types.h> does not define. */
/* #undef pid_t */

/* Define to `unsigned int' if <sys/types.h> does not define. */
/* #undef size_t */

/* Define to `int' if <sys/types.h> does not define. */
/* #undef ssize_t */

/* Define to `int' if <sys/types.h> doesn't define. */
/* #undef uid_t */

/* Define as `fork' if `vfork' does not work. */
/* #undef vfork */

/*****************************************************************************\
                     DON'T TOUCH ANYTHING BELOW HERE!
\*****************************************************************************/

#ifndef HAVE_BYTE_TYPE
typedef unsigned char	byte;		     /* 8 bit unsigned critter */
#endif /* HAVE_BYTE_TYPE */

#ifndef HAVE_SIG_T
typedef void __sighandler_t (int);
typedef __sighandler_t  *sig_t;
#endif /* HAVE_SIG_T */

#ifndef HAVE_FALSE
#define FALSE (0)
#endif /* FALSE */

#ifndef HAVE_TRUE
#define TRUE (1)
#endif /* TRUE */

#ifndef HAVE_SETSID
#define setsid() ((pid_t) -1)
#endif /* HAVE_SETSID */

#ifndef HAVE_SYSCONF
#define sysconf(name) ((long) -1)
#endif /* HAVE_SYSCONF */

#ifndef HAVE_STRERROR
extern char *strerror (int errnum);
#endif /* HAVE_STRERROR */

extern int x_getopt (int argc, char **argv, const char *opts);
extern int x_opterr;
extern int x_optind;
extern int x_optopt;
extern char *x_optarg;

#ifndef HAVE_DAEMON
extern int daemon (int nochdir, int noclose);
#endif

#ifdef HAVE_VFORK
#ifdef HAVE_VFORK_H
#include <vfork.h>
#endif
#else /* HAVE_VFORK */
/* #undef vfork */
#define vfork fork
#endif /* HAVE_VFORK */

#ifdef HAVE_ERRNO_H
#include <errno.h>
#else
extern int errno;
#endif

#ifndef STDC_HEADERS
#error "Must have standard C headers. Sorry."
#endif

/*
  Password field: If only one of `pw_comment' and `pw_gecos' is present,
  define the missing one in terms of the existing one. If neither is
  present, define both in terms of `pw_name'.
*/
#if !defined(HAVE_PW_COMMENT) && !defined(HAVE_PW_GECOS)
#define pw_comment pw_name
#define pw_gecos   pw_name
#else
#if defined(HAVE_PW_COMMENT) && !defined(HAVE_PW_GECOS)
#define pw_gecos pw_comment
#else
#if defined(HAVE_PW_GECOS) && !defined(HAVE_PW_COMMENT)
#define pw_comment pw_gecos
#endif
#endif
#endif

#include <sys/types.h>
#if HAVE_SYS_WAIT_H
# include <sys/wait.h>
#endif
#ifndef WEXITSTATUS
# define WEXITSTATUS(stat_val) ((unsigned)(stat_val) >> 8)
#endif
#ifndef WIFEXITED
# define WIFEXITED(stat_val) (((stat_val) & 255) == 0)
#endif

#endif /* _CONFIG_H_ */
